Package org.springframework.security.access.hierarchicalroles

# Class RoleHierarchyImpl.Builder.ImpliedRoles

java.lang.Object
org.springframework.security.access.hierarchicalroles.RoleHierarchyImpl.Builder.ImpliedRoles

Enclosing class:
  RoleHierarchyImpl.Builder

public final class RoleHierarchyImpl.Builder.ImpliedRoles extends Object
Builder class for constructing child roles within a role hierarchy branch.

## Method Summary

Modifier and Type
Method
Description
`RoleHierarchyImpl.Builder`
`implies(String... impliedRoles)`
Specifies implied role(s) for the current role in the hierarchy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### implies

public RoleHierarchyImpl.Builder implies(String... impliedRoles)
Specifies implied role(s) for the current role in the hierarchy.

Parameters:
  `impliedRoles` - role name(s) implied by the role.
Returns:
  the same `RoleHierarchyImpl.Builder` instance
Throws:
  `IllegalArgumentException` - if `impliedRoles` is null, empty or contains any null element.